# Class FormSubmitDirective

#### Hierarchy

- ConfirmClick
  - FormSubmitDirective

#### Implements

- OnDestroy

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:33

#####
Index

### Constructors

constructor

### Properties

_resetAfterSubmit
afterSubmit
formDirective
navigateAfterSubmit?
router
subscription?
type

### Accessors

hasConfirmDirective
resetAfterSubmit

### Methods

execute
ngOnDestroy
onClick
onConfirm

## Constructors

### constructor

- new FormSubmitDirective(formDirective, router?): FormSubmitDirective

- #### Parameters

  - formDirective: FormDirective<any>
  - router: null | Router = null

  #### Returns FormSubmitDirective

  Overrides ConfirmClick.constructor

  - Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:54

## Properties

### `Private` _resetAfterSubmit

_resetAfterSubmit: boolean = false

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:50

### afterSubmit

afterSubmit: EventEmitter<any> = ...

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:48

### `Private` `Readonly` formDirective

formDirective: FormDirective<any>

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:55

### `Optional` navigateAfterSubmit

navigateAfterSubmit?: string[]

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:45

### `Private` `Readonly` router

router: null | Router = null

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:58

### `Private` `Optional` subscription

subscription?: Subscription

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:52

### type

type: string = 'button'

- Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:37

## Accessors

### hasConfirmDirective

- set hasConfirmDirective(value): void

- #### Parameters

  - value: any

  #### Returns void

  Inherited from ConfirmClick.hasConfirmDirective

  - Defined in packages/angular/directives/src/lib/confirm-click.ts:14

### resetAfterSubmit

- set resetAfterSubmit(value): void

- #### Parameters

  - value: boolean | ""

  #### Returns void

  - Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:40

## Methods

### `Protected` execute

- execute(): void

- #### Returns void

  Overrides ConfirmClick.execute

  - Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:63

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/forms/src/lib/directives/form-submit.directive.ts:89

### onClick

- onClick(): void

- #### Returns void

  Inherited from ConfirmClick.onClick

  - Defined in packages/angular/directives/src/lib/confirm-click.ts:19

### onConfirm

- onConfirm(): void

- #### Returns void

  Inherited from ConfirmClick.onConfirm

  - Defined in packages/angular/directives/src/lib/confirm-click.ts:26